/***************************************************************************
                          propertysetter.h  -  description
                             -------------------
    begin                : gio lug 24 2003
    copyright            : (C) 2003 by gulmini luciano
    email                : gulmini.luciano@student.unife.it
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PROPERTYSETTER_H
#define PROPERTYSETTER_H

#include <tqhbox.h>
#include <tqptrlist.h>
#include <tqcombobox.h>


class miniEditor;
class KPushButton;


/**
  *@author gulmini luciano
  */
  
class propertySetter : public TQHBox  {
  Q_OBJECT
  

  private:
    unsigned int m_ind;
    TQPtrList<TQWidget> m_list;
    TQComboBox *m_cb;
    KPushButton *m_pb;

  public:
    propertySetter(TQWidget *parent=0, const char *name=0);
    ~propertySetter();
    
    void installMiniEditor(miniEditor *m); 
    
    void setComboBox();
    void setSpinBox(const TQString& initialValue="0", const TQString& min="0", const TQString& max="9999", const TQString& s=TQString());
    void setLineEdit();
    void setPredefinedColorListEditor();
    void reset();
    void addButton();
    TQComboBox* ComboBox() const { return m_cb; }

  public slots:
    void Show();

  signals:
    void valueChanged(const TQString&);
};

#endif
